
QGIS Application - Bug report #10500

Join not processed on project reopen

2014-06-08 04:06 PM - Gordon Hof

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18910

Description

When reopening a project, a join isn't processed. The join must removed and readded.

File1.csv = Name,OldKey

File2.csv = OldKey,NewKey

File3.shp = Other,Data,...,NewKey

For File1 add join File1.OldKey - File2.OldKeys

For File3 add join File3.NewKey - File1.File2.NewKey

Save close and reopen

Attribute table for File1 shows data from File1+File2

Attribute table for File3 shows fields from File1+File2 but all are NULL

Remove and readd File3 join and all is well.

Other clues:

Joining File3.NewKey - File2.NewKey and File2.OldKey - File3.OldKey can be reopened just fine.

Order of layers doesn't matter.

Project xml appears to be correct, and reopened file shows the joins correctly

Associated revisions

Revision b1450802 - 2016-06-14 03:31 AM - Nyall Dawson

Fix joins are not recreated when loading project with bad layers (fix #10500)

History

#1 - 2014-06-08 04:17 PM - Gordon Hof

Oops, missed some:

Category: Project Loading/Saving

Platform: Win7Sp1-64bit

#2 - 2014-06-09 04:18 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Category set to Vectors

Confirmed on master/linux.
#3 - 2016-06-13 06:33 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"b1450802b99ac4a19b5ed4765066bcdf1e520556".
